#! /bin/bash
echo
echo "(C)2001-2002 Klyutchenya Alexander "
echo " asoneofus@kde.ru, asoneofus@nm.ru"
echo "        ,    "
echo "    ,        "
echo "       GNU  (GNU GPL)   2 ,   "
echo "   ,   ."
echo "   This script is free software; you can redistribute it and/or modify "  
echo "   it under the terms of the GNU General Public License as published by "  
echo "   the  Free  Software  Foundation; either version 2 of the License, or  "    
echo "   (at your option) any later version."

#   ,    -  
KDE_CVS="kdesupport arts kdelibs kdebase kde-i18n kde-common kdenetwork kdeartwork kdeadmin \
	kdeutils kdegraphics kdemultimedia kdesdk quanta kdevelop kdebindings kdeedu kdenonbeta kdepim kdetoys \
	kfte klyx kmusic koffice kdegames kdeaddons qt-copy"
#
hosts="$hosts :pserver:anonymous@anoncvs.kde.org:/home/kde"
FLAG="co"
KDE_VARIANTS="KDE_3_0_BRANCH"
cp -f index.busy index.php
for variant in $KDE_VARIANTS
    rm -f ./$variant
    mkdir  $variant   
    cd $variant
    for cvs in $KDE_CVS
    do
    echo "updating:   $cvs" >>$out_file
    if [ "$cvs" = "kde-i18n" ]; then 
	echo "kde-i18n root directories :"
	cvs $FLAG -l kde-i18n -r $variant
	echo "kde-i18n templates directories :"
	cvs $FLAG -r $variant kde-i18n/templates 
	echo "kde-i18n Russian directories :"
	cvs $FLAG -r $variant kde-i18n/ru
    else
	    echo "$cvs :"
	    cvs $FLAG -r $variant $cvs
    fi
    tar -cf $cvs.tar ./$cvs
    bzip2 -zf $cvs.tar
    rm -f $cvs
    done
    date >&last_updated
    ls -1 >&dirlist
    cd ..
done
variant="current"
    rm -f ./$variant
    mkdir  $variant   
    cd $variant
    for cvs in $KDE_CVS
    do
    echo "updating:   $cvs" >>$out_file
    if [ "$cvs" = "kde-i18n" ]; then 
	echo "kde-i18n root directories :"
	cvs $FLAG -l kde-i18n -r $variant
	echo "kde-i18n templates directories :"
	cvs $FLAG -r $variant kde-i18n/templates 
	echo "kde-i18n Russian directories :"
	cvs $FLAG -r $variant kde-i18n/ru
    else
	    echo "$cvs :"
	    cvs $FLAG -r $variant $cvs
    fi
    tar -cf $cvs.tar ./$cvs
    bzip2 -zf $cvs.tar
    rm -f $cvs
    done
    date >&last_updated
    ls -1 >&dirlist
    cd ..

cp -f index.free index.php
